<?php
/**
 * Amigos - anyadir2.php
 * 
 * @author    Bartolomé Sintes Marco <bartolome.sintes+mclibre@gmail.com>
 * @copyright 2011 Bartolomé Sintes Marco
 * @license   http://www.gnu.org/licenses/agpl.txt AGPL 3 or later
 * @version   2011-06-03
 * @link      http://www.mclibre.org
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Affero General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Affero General Public License for more details.
 *
 *  You should have received a copy of the GNU Affero General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

include('funciones.php');
$db = conectaDb();

$id = recogeParaConsulta($db, 'id');

if ($id=="''") {
    cabecera('Borrar 2', MENU_2, CABECERA_SIN_CURSOR);
    print "<p>No se ha seleccionado ningún registro.</p>\n";
} else {
    $consulta = "SELECT COUNT(*) FROM $dbTabla 
        WHERE id=$id";
    $result = $db->query($consulta);
    if (!$result) {
        cabecera('Borrar 2', MENU_2, CABECERA_SIN_CURSOR);
        print "<p>Error en la consulta.</p>\n";
    } elseif ($result->fetchColumn()==0) {
        cabecera('Borrar 2', MENU_2, CABECERA_SIN_CURSOR);
        print "<p>Registro no encontrado.</p>\n";
    } else {
        $consulta = "SELECT * FROM $dbTabla
            WHERE id=$id";
        $result = $db->query($consulta);
        if (!$result) {
            cabecera('Borrar 2', MENU_2, CABECERA_SIN_CURSOR);
            print "<p>Error en la consulta.</p>\n";
        } else {
            $valor = $result->fetch();
            cabecera('Borrar 2', MENU_2, CABECERA_CON_CURSOR);
            $consulta = "DELETE FROM $dbTabla 
                WHERE amigo1='$valor[amigo1]'
                AND amigo2='$valor[amigo2]'";
            if ($db->query($consulta)) {
                print "<p>Registro borrado correctamente.</p>\n";
            } else {
                print "<p>Error al borrar el registro.</p>\n";
            }
            $consulta = "DELETE FROM $dbTabla 
                WHERE amigo1='$valor[amigo2]'
                AND amigo2='$valor[amigo1]'";
            if ($db->query($consulta)) {
                print "<p>Registro borrado correctamente.</p>\n";
            } else {
                print "<p>Error al borrar el registro.</p>\n";
            }
        }
    }
}

$db = NULL;
pie();
?>
